# Uses of Class
org.apache.lucene.facet.FacetsConfig.DimConfig

Packages that use FacetsConfig.DimConfig
Package
Description
org.apache.lucene.facet
Faceted search.

- ## Uses of FacetsConfig.DimConfig in org.apache.lucene.facet

  Fields in org.apache.lucene.facet declared as FacetsConfig.DimConfig
  Modifier and Type
  Field
  Description
  `static final FacetsConfig.DimConfig`
  FacetsConfig.`DEFAULT_DIM_CONFIG`
  Default per-dimension configuration.
  Methods in org.apache.lucene.facet that return FacetsConfig.DimConfig
  Modifier and Type
  Method
  Description
  `protected FacetsConfig.DimConfig`
  FacetsConfig.`getDefaultDimConfig()`
  Get the default configuration for new dimensions.
  `FacetsConfig.DimConfig`
  FacetsConfig.`getDimConfig(String dimName)`
  Get the current configuration for a dimension.
  Methods in org.apache.lucene.facet that return types with arguments of type FacetsConfig.DimConfig
  Modifier and Type
  Method
  Description
  `Map<String,FacetsConfig.DimConfig>`
  FacetsConfig.`getDimConfigs()`
  Returns map of field name to `FacetsConfig.DimConfig`.